//variáveis de trabalho e preparação inicial
var wEventoCorrente = 0;
var wEventoNome = "";
var wEventoData = "";
var wEventoHora = "";
var wEventoLocal = "";
var wDestino = "";
var db;
var wOSusuario = "";
var wNomeDB = "dbConfirmaki";

function funIniciar() {
    //para Windows usar o normal; para os demais, usar o sqlite
    db = window.openDatabase("dbConfirmaki", "", "Sistema ConfirmAki", 200000);
    //db = window.sqlitePlugin.openDatabase({name: wNomeDB, location: 2});
    //db = window.sqlitePlugin.openDatabase({name: "dbConfirmaki", location: 2});
    db.transaction(populateDB, errorCB, successCB);
    
    // Populate the database 
    //
    function populateDB(tx) {
        //tx.executeSql('DELETE TABLE tEventos');
        //tx.executeSql('DELETE TABLE tConvidados');
        tx.executeSql('CREATE TABLE IF NOT EXISTS tEventos (EventosCodigo INTEGER PRIMARY KEY, EventosNome TEXT utf8_general_ci, EventosData TEXT, EventosHora TEXT, EventosLocal TEXT)');
        tx.executeSql('CREATE TABLE IF NOT EXISTS tConvidados (ConvidadosCodigo INTEGER PRIMARY KEY, ConvidadosEvento INT, ConvidadosNome TEXT utf8_general_ci, ConvidadosQtde INT, ConvidadosEmail TEXT utf8_general_ci, ConvidadosObs TEXT utf8_general_ci, ConvidadosQtdeReal INT, ConvidadosPresenca CHAR(1), ConvidadosDataHora datetime)');
    }
    
    if(db.version == "1.0"){
      db.changeVersion("1.0", "2", null, null, function(){
      });
    }    

    // Transaction error callback
    //
    function errorCB(tx, err) {
        alert("Erro com banco de dados: " + err);
    }

    // Transaction success callback
    //
    function successCB() {
        $.ui.ready(function () {
            //$.ui.loadContent("#pagPrincipal",true,true,"slide");
            $.query("#afui").addClass("android-light");
            $.query("#afui").removeClass("android");
            funPegaTodosEventos();
            jq.ui.hideMask();
            //$('.tabletMenu').css("display", "none");
            //$('.tabletMenu').css("visibility", "hidden");
            //retirado daqui e levado direto para o CSS
            //$.query('.tabletMenu').css("visibility", "hidden");
            //$.query('#aside_menu').css("display", "none");
        });
        //window.analytics.startTrackerWithId('UA-266556-8');
        analytics = navigator.analytics;
        analytics.setTrackingId('UA-266556-8');
        wOSusuario = device.platform;
        //window.analytics.trackView('Iniciando uso');
        analytics.sendAppView('Iniciando uso ' + wOSusuario);
        wOSusuario = device.platform;
        //se for iOS esconde os links para email e site
        if (wOSusuario.toUpperCase() == "IOS") {
            $.query('naoMostraIos').css("display", "none");   
        }
        app.hideSplashScreen();    // remove splash screen ao final do processo inicial
    }
}

//funIniciar();
//foi para o init-app.js

//função para buscar a lista de todos os eventos
function funPegaTodosEventos() {
    $.ui.loadContent("#pagPrincipal", true, true,"slide");
    //db = window.openDatabase("dbConfirmaki", "", "Sistema ConfirmAki", 200000);
    db.transaction(function(tx) {
        tx.executeSql('SELECT * FROM tEventos ORDER BY EventosNome', [], renderResults);
    });
}    

function renderResults(tx, rs) {
    var html = '';
        for(var i=0; i < rs.rows.length; i++) {
            r = rs.rows.item(i);
            html += '<li><a href="#pagEvento" onclick="funTrataEvento(' + r.EventosCodigo + ')">' + r.EventosNome + '<br />' + r.EventosData + ' ' + r.EventosHora + '<br />' + r.EventosLocal + '</a></li>';
        }
    $('#lisTodosEventos').html(html);
    jq.ui.hideMask();
    }
   
//grava eventos e lista todos os registros
$(document).on('click', '#botEventoGravar', function () {
    wEventoNome = document.getElementById('camEventoNome').value;
    if (wEventoNome.length > 1) {
        jq.ui.showMask("Gravando, aguarde...");
        var wEventoData = $('#camEventoData').val();
        var wEventoHora = $('#camEventoHora').val();
        var wEventoLocal = $('#camEventoLocal').val();
        if (wEventoCorrente === 0) {
                SQL = 'insert into tEventos (EventosNome, EventosLocal, EventosData, EventosHora) values ("' + wEventoNome + '", "' + wEventoLocal + '", "' + wEventoData + '", "' + wEventoHora + '")';
                //gravando o registro
                db.transaction(function(tx) {
                    tx.executeSql(SQL);
                    analytics.sendAppView('Evento criado');
                });
        } else {
                SQL = 'update tEventos set EventosNome = "' + wEventoNome + '", EventosLocal = "' + wEventoLocal + '", EventosData = "' + wEventoData + '", EventosHora = "' + wEventoHora + '" where EventosCodigo = ' + wEventoCorrente;
                //atualiza o registro
                db.transaction(function(tx) {
                    tx.executeSql(SQL);
                });
        }
        wEventoCorrente = 0;
        funPegaTodosEventos();
        jq.ui.hideMask();
    } else {
        jq.ui.showMask("É preciso ter um nome para gravar.");
        jq.ui.blockUI(0.4);
        setTimeout(function(){
            jq.ui.hideMask();
            $.ui.unblockUI();
        },600);   
    }
});    

//prepara a página para incluir um evento
$(document).on('click', '#botEventoIncluir', function () {
    wEventoCorrente = 0;
    //apaga o conteúdo dos campos para incluir novo
    document.getElementById('camEventoNome').value = "";
    document.getElementById('camEventoData').value = "";    
    document.getElementById('camEventoHora').value = "";
    document.getElementById('camEventoLocal').value = "";
    $.ui.loadContent("#pagEventoIncluir",true,true,"slide");
    $('#camEventoNome').focus();
    jq.ui.hideMask();
});

//função para cuidar de um determinado evento
function funTrataEvento(CEvento) {
    wEventoCorrente = CEvento;
    $.ui.loadContent("#pagEvento",true,true,"slide");
    jq.ui.hideMask();
    //db = window.openDatabase("dbConfirmaki", "", "Sistema ConfirmAki", 200000);
    db.transaction(function(tx) {
        SQL = 'SELECT * FROM tEventos WHERE EventosCodigo = ' + CEvento;
        tx.executeSql(SQL, [], guardaDadosEvento);
    });
    //pega os detalhes da previsão
    db.transaction(function(tx) {
        SQL = 'SELECT count(*) as wdbTotalRegistro, sum(ConvidadosQtde) as wdbTotalAcompanhantes FROM tConvidados WHERE ConvidadosEvento = ' + CEvento;
        tx.executeSql(SQL, [], function(tx, rs) {
            r = rs.rows.item(0);
            $('#wprevTotConvid').html(r.wdbTotalRegistro);
            $('#wprevTotAcomp').html(r.wdbTotalAcompanhantes);
            wprevisaoTotal = r.wdbTotalRegistro + r.wdbTotalAcompanhantes;
            $('#wprevTotGeral').html(wprevisaoTotal);
        });
    });
    //pega os detalhes do real
    db.transaction(function(tx) {
        SQL = 'SELECT count(*) as wdbTotalRegistro, sum(ConvidadosQtdeReal) as wdbTotalAcompanhantes FROM tConvidados WHERE ConvidadosEvento = ' + CEvento + ' and ConvidadosPresenca = "s"';
        tx.executeSql(SQL, [], function(tx, rs) {
            r = rs.rows.item(0);
            $('#wrealTotConvid').html(r.wdbTotalRegistro);
            $('#wrealTotAcomp').html(r.wdbTotalAcompanhantes);
            wrealTotal = r.wdbTotalRegistro + r.wdbTotalAcompanhantes;
            $('#wrealTotGeral').html(wrealTotal);
            if (wprevisaoTotal > 0) {
                $('#wpercPresenca').html((wrealTotal / wprevisaoTotal * 100).toFixed(2) + "%");
            } else {
                $('#wpercPresenca').html("0%");
            }
        });
    });

}

function guardaDadosEvento(tx, rs) {
    r = rs.rows.item(0);
    wEventoNome = r.EventosNome;
    wEventoData = r.EventosData;    
    wEventoHora = r.EventosHora;
    wEventoLocal = r.EventosLocal;
    //atualiza o nome em todas as páginas
    $('.claEventoNome').html(wEventoNome); 
    //prepara o formulário de atualização dos dados do evento
    $('#camEventoNome').val(wEventoNome);
    $('#camEventoData').val(wEventoData);
    $('#camEventoHora').val(wEventoHora);
    $('#camEventoLocal').val(wEventoLocal);
    //limpa os nomes dos últimos registrados
    $('#spaRegistradoUltimo-3').html("");
    $('#spaRegistradoUltimo-2').html("");
    $('#spaRegistradoUltimo-1').html("");
    $('#spaRegistradoUltimo').html("");
} 

//gravar o registro de convidado para um evento
$(document).on('click', '#botConvidadoGravar', function () {
    var wConvidadoNome = $('#camConvidadoNome').val();
    if (wConvidadoNome.length > 1) {
        jq.ui.showMask("Gravando, aguarde...");
        //prepara o registro
        var wConvidadoQtde = $('#camConvidadoQtde').val();
        var wConvidadoEmail = $('#camConvidadoEmail').val();
        var wConvidadoObs = $('#camConvidadoObs').val();
        SQL = 'insert into tConvidados (ConvidadosEvento, ConvidadosNome, ConvidadosQtde, ConvidadosEmail, ConvidadosObs) values (' + wEventoCorrente + ', "' + wConvidadoNome + '", "' + wConvidadoQtde + '", "' + wConvidadoEmail + '", "' + wConvidadoObs + '")';
        //gravando o registro
        db.transaction(function(tx) {
            tx.executeSql(SQL);
        });
        $('#camConvidadoNome').val("");
        $('#camConvidadoQtde').val(0);
        $('#camConvidadoEmail').val(""); 
        $('#camConvidadoObs').val(""); 
        //atualiza os nomes dos últimos registrados
        $('#spaRegistradoUltimo-3').html($('#spaRegistradoUltimo-2').html());
        $('#spaRegistradoUltimo-2').html($('#spaRegistradoUltimo-1').html());
        $('#spaRegistradoUltimo-1').html($('#spaRegistradoUltimo').html());
        $('#spaRegistradoUltimo').html(wConvidadoNome + ' (+ ' + wConvidadoQtde + ')');
        jq.ui.hideMask();
        $('#camConvidadoNome').focus();
    } else {
        jq.ui.showMask("É preciso ter um nome para gravar.");
        jq.ui.blockUI(0.4);
        setTimeout(function(){
            jq.ui.hideMask();
            $.ui.unblockUI();
        },600);
        $('#camConvidadoNome').focus();
    }
});

//função para buscar todos os convidades de um evento
$(document).on("loadpanel", "#pagRecepcionar", function () {
    funListaConvidados();
});
    
    
function funListaConvidados() {    
    if (!(wEventoCorrente)) {
        $.ui.loadContent("#pagPrincipal",true,true,"slide");
    }
    if (wEventoCorrente === 0) {
        $.ui.loadContent("#pagPrincipal",true,true,"slide");
    }
    //$.ui.loadContent("#pagRecepcionar",true,true,"slide");
    jq.ui.showMask("Pesquisando, aguarde...");
    $('#divLimpar').css("display", "none");
    $('#divPesquisar').css("display", "block");
    $('#camPesquisarConvidado').val("");
    SQL = 'SELECT * FROM tConvidados where ConvidadosEvento = ' + wEventoCorrente + ' ORDER BY ConvidadosNome COLLATE NOCASE';
    db.transaction(function(tx) {
        tx.executeSql(SQL, [], montaListaConvidados);
    });
}

//função para buscar todos os convidades de um evento
function montaListaConvidados(tx, rs) {
    var html = '';
    var wprimeiraLetraAnterior = '';
    for(var i=0; i < rs.rows.length; i++) {
        r = rs.rows.item(i);    
        //verifica se já está confirmado
        wclasseDiv = 'claBranca';
        wcaixaClicada = '';
        wtaPresente = 'n';
        wPresenca = r.ConvidadosPresenca;
        if (wPresenca == 's') {
            wclasseDiv = 'claVerdinha';
            wcaixaClicada = ' checked ';
            wtaPresente = 's';
        }
        //pega qtde real
        wQtdeReal = r.ConvidadosQtdeReal;
        wselected_0 = '';
        wselected_1 = '';
        wselected_2 = '';
        wselected_3 = '';
        wselected_4 = '';
        wselected_5 = '';
        wselected_6 = '';
        wselected_7 = '';
        wselected_8 = '';
        wselected_9 = '';
        wselected_10 = '';
        if (wQtdeReal === 0) { wselected_0 = 'selected=""'; }
        if (wQtdeReal === 1) { wselected_1 = 'selected=""'; }
        if (wQtdeReal === 2) { wselected_2 = 'selected=""'; }
        if (wQtdeReal === 3) { wselected_3 = 'selected=""'; }
        if (wQtdeReal === 4) { wselected_4 = 'selected=""'; }
        if (wQtdeReal === 5) { wselected_5 = 'selected=""'; }
        if (wQtdeReal === 6) { wselected_6 = 'selected=""'; }
        if (wQtdeReal === 7) { wselected_7 = 'selected=""'; }
        if (wQtdeReal === 8) { wselected_8 = 'selected=""'; }
        if (wQtdeReal === 9) { wselected_9 = 'selected=""'; }
        if (wQtdeReal === 10) { wselected_10 = 'selected=""'; }
        wObservacao = r.ConvidadosObs;
        if (wObservacao === null) {
            wObservacao = "";
        }
        wConvidadoCodigo = r.ConvidadosCodigo;
        //pega a primeira letra no nome
        wprimeiraLetra = r.ConvidadosNome.charAt(0).toUpperCase();
        if (wprimeiraLetra != wprimeiraLetraAnterior) {
            html += '<div class="container" style="width:100%" data-appbuilder-object="container"><span class="claLetraGrande">' + wprimeiraLetra + '</span></div>';
            wprimeiraLetraAnterior = wprimeiraLetra;
        }
        html += '<input class="claEscondido" type"text" id="camCandidatoReservaNome_' + wConvidadoCodigo + '" value="' + r.ConvidadosNome + '">';
        html += '<input class="claEscondido" type"text" id="camCandidatoReservaQtde_' + wConvidadoCodigo + '" value="' + r.ConvidadosQtde + '">';
        html += '<input class="claEscondido" type"text" id="camCandidatoReservaEmail_' + wConvidadoCodigo + '" value="' + r.ConvidadosEmail + '">';
        html += '<input class="claEscondido" type"text" id="camCandidatoReservaObs_' + wConvidadoCodigo + '" value="' + r.ConvidadosObs + '">';
        html += '<div id="cadaConvidado_' + wConvidadoCodigo + '" class="' + wclasseDiv + '"><div class="container blocoGeral"  data-appbuilder-object="container"><div class="blocoNome">';
        //decide como apresentar de acordo com o registro de presença ou não
        if (wtaPresente == 's') {
            //já está presente
            html += '<div class="text_item divNome" data-appbuilder-object="text"><span><span class="icon pencil" id="camRecepcaoNome_' + wConvidadoCodigo + '"></span><strong>' + r.ConvidadosNome + '</strong>';
        if (r.ConvidadosQtdeReal === 0) {
            wtextoConvidados = '';
            } else if (r.ConvidadosQtdeReal > 1) {
                wtextoConvidados = ' com ' + r.ConvidadosQtde + ' acompanhantes';
                } else {
                wtextoConvidados = ' com 1 acompanhante';
                }
            //inclui a observação do convidado, se tiver
            if (wObservacao.length > 0 ){
                wtextoConvidados += '<br>' + wObservacao;
            }
            html += wtextoConvidados + '</span><span id="spaEntrada_' + wConvidadoCodigo + '"><br>Entrada em ' + funMostraDataHora(r.ConvidadosDataHora) + '</span></div></div><div class="divIcones"><img id="imgMenos1_' + wConvidadoCodigo + '" class="menosUm"  data-appbuilder-object="image"><img id="imgMais1_' + wConvidadoCodigo + '" class="maisUm" data-appbuilder-object="image"><img id="imgCheckVerde_' + wConvidadoCodigo + '" class="checkVerde" data-appbuilder-object="image" style="display:none;"><img  id="imgXVermelho_' + wConvidadoCodigo + '" class="xVermelho" data-appbuilder-object="image" ><div id="spaContador_' + wConvidadoCodigo + '" class="claContador">' + (r.ConvidadosQtdeReal+1) + '</div></div></div></div><hr class="claSeparador">';
        } else {   
            //sem registro de presença
            html += '<div class="text_item divNome" data-appbuilder-object="text"><span><span class="icon pencil" id="camRecepcaoNome_' + wConvidadoCodigo + '"></span><strong>' + r.ConvidadosNome + '</strong>';
            if (r.ConvidadosQtde == 0) {
                wtextoConvidados = '';
                } else if (r.ConvidadosQtde > 1) {
                    wtextoConvidados = ' com ' + r.ConvidadosQtde + ' acompanhantes';
                    } else {
                    wtextoConvidados = ' com 1 acompanhante';
                    }
            //inclui a observação do convidado, se tiver
            if (wObservacao.length > 0 ){
                wtextoConvidados += '<br>' + wObservacao;
            }
            html += wtextoConvidados + '</span><span id="spaEntrada_' + wConvidadoCodigo + '"></span></div></div><div class="divIcones"><img id="imgMenos1_' + wConvidadoCodigo + '" class="menosUm" data-appbuilder-object="image" style="display:none;"><img id="imgMais1_' + wConvidadoCodigo + '" class="maisUm" data-appbuilder-object="image"  style="display:none;"><img id="imgCheckVerde_' + wConvidadoCodigo + '" class="checkVerde" data-appbuilder-object="image" title=""><img id="imgXVermelho_' + wConvidadoCodigo + '" class="xVermelho" data-appbuilder-object="image" style="display:none;"><div id="spaContador_' + wConvidadoCodigo + '" class="claContador"></div></div></div></div><hr class="claSeparador">';
        } 
    }    
    $('#lisConvidados').html(html);  
    jq.ui.hideMask();
    }


//registra a presença 
function funRegistraPresenca(CConvidado) {
    jq.ui.showMask("Atualizando, aguarde...");
    //prepara o registro
    wConvidadoPresenca = "s";
    $('#imgCheckVerde_' + CConvidado).css("display", "none");
    $('#imgXVermelho_' + CConvidado).css("display", "block");
    $('#spaEntrada_' + CConvidado).html("<br>Entrada em " + ShowLocalDate() );
    $('#cadaConvidado_' + CConvidado).attr("class", "claVerdinha");
    $('#imgMenos1_' + CConvidado).css("display", "block");
    $('#imgMais1_' + CConvidado).css("display", "block");    
    SQL = 'update tConvidados set ConvidadosQtdeReal = ConvidadosQtde, ConvidadosPresenca = "' + wConvidadoPresenca + '", ConvidadosDataHora = "' + new Date() + '" where ConvidadosCodigo = ' + CConvidado;
    //atualiza o registro
    db.transaction(function(tx) {
        tx.executeSql(SQL);
    });
    funAtualizaContador(CConvidado);
    jq.ui.hideMask();
}

//desmarca a presença 
function funDesmarcaPresenca(CConvidado) {
    jq.ui.showMask("Desfazendo, aguarde...");
    //prepara o registro
    wConvidadoPresenca = "n";
    $('#imgCheckVerde_' + CConvidado).css("display", "block");
    $('#imgXVermelho_' + CConvidado).css("display", "none");
    $('#cadaConvidado_' + CConvidado).attr("class", "claBranca");
    $('#imgMenos1_' + CConvidado).css("display", "none");
    $('#imgMais1_' + CConvidado).css("display", "none");    
    $('#spaEntrada_' + CConvidado).html("");
    SQL = 'update tConvidados set ConvidadosQtdeReal = 0, ConvidadosPresenca = "' + wConvidadoPresenca + '", ConvidadosDataHora = null where ConvidadosCodigo = ' + CConvidado;
    //atualiza o registro
    db.transaction(function(tx) {
        tx.executeSql(SQL);
    });
    $('#spaContador_' + CConvidado).html("");
    jq.ui.hideMask();
}

//remove evento e toda a lista de convidados
$(document).on('click', '#botEventoRemover', function () {
    jq.ui.showMask("Apagando, aguarde...");
    SQL1 = 'delete from tConvidados where ConvidadosEvento = ' + wEventoCorrente;
    SQL2 = 'delete from tEventos where EventosCodigo = ' + wEventoCorrente;
    db.transaction(function(tx) {
        tx.executeSql(SQL1);
        tx.executeSql(SQL2);        
    });
    wEventoCorrente = 0;
    funPegaTodosEventos();
    jq.ui.hideMask();
});   

//função para mostrar todos os convidades de um evento (para possível edição
$(document).on("loadpanel", "#pagConvidados", function () {
    jq.ui.showMask("Pesquisando, aguarde...");
    html = "";
    //db = window.openDatabase("dbConfirmaki", "", "Sistema ConfirmAki", 200000);
    db.transaction(function(tx) {
        SQL = 'SELECT * FROM tConvidados where ConvidadosEvento = ' + wEventoCorrente + ' ORDER BY ConvidadosNome COLLATE NOCASE';
        tx.executeSql(SQL, [], function(tx, rs) {
            for(var i=0; i < rs.rows.length; i++) {
                r = rs.rows.item(i);
                wConvidadoCodigo = r.ConvidadosCodigo;
                html += '<li><a href="#" onclick="funTrataConvidado(' + wConvidadoCodigo + ', 1)">' + r.ConvidadosNome + '<br />+ ' + r.ConvidadosQtde + ' acompanhante(s) ' + '<br />' + r.ConvidadosEmail + '<br />' + r.ConvidadosObs;
                if (r.ConvidadosPresenca == 's') {
                    html += '<br />Total de pessoas presentes: ' + (r.ConvidadosQtdeReal + 1) + '<br>Entrada em ' + funMostraDataHora(r.ConvidadosDataHora);
                }    
                html += '</a></li>';
            }
            $('#lisTodosConvidados').html(html);
        });
    });
    jq.ui.hideMask();
});

//função para pegar o convidado para alteração
function funTrataConvidado(CConvidado, CDestino) {
    db.transaction(function(tx) {
    SQL = 'SELECT * FROM tConvidados where ConvidadosCodigo = ' + CConvidado;
    tx.executeSql(SQL, [], function(tx, rs) {
        r = rs.rows.item(0);
        $('#camConvidadoCodigoAlt').val(r.ConvidadosCodigo);
        $('#camConvidadoEmailAlt').val(r.ConvidadosEmail);
        $('#camConvidadoNomeAlt').val(r.ConvidadosNome);
        $('#camConvidadoQtdeAlt>option:selected').text(r.ConvidadosQtde);
        $('#camConvidadoObsAlt').val(r.ConvidadosObs);
        wDestino = CDestino;
        $.ui.loadContent("#pagConvidadoAtualizar", true, true, "slide");
    });
});
}

//atualizar o registro de convidado
$(document).on('click', '#botConvidadoAtualizar', function () {
    var wConvidadoNome = document.getElementById('camConvidadoNomeAlt').value;
    if (wConvidadoNome.length > 1) {
        jq.ui.showMask("Atualizando, aguarde...");
        //prepara o registro
        var wConvidadoQtde = document.getElementById('camConvidadoQtdeAlt').value;
        var wConvidadoEmail = document.getElementById('camConvidadoEmailAlt').value;
        var wConvidadoCodigo = document.getElementById('camConvidadoCodigoAlt').value;
        var wConvidadoObs = document.getElementById('camConvidadoObsAlt').value;
        SQL = 'update tConvidados set ConvidadosNome = "' + wConvidadoNome + '", ConvidadosQtde = ' + wConvidadoQtde + ', ConvidadosEmail = "' + wConvidadoEmail + '", ConvidadosObs = "' + wConvidadoObs + '" where ConvidadosCodigo = ' + wConvidadoCodigo;
        //atualiza o registro
        //alert(SQL);
        db.transaction(function(tx) {
            tx.executeSql(SQL, [], funConvidadoAtualizou, funMostraErroUpdate );
        });
    } else {
        jq.ui.showMask("É preciso ter um nome para atualizar.");
        jq.ui.blockUI(0.4);
        setTimeout(function(){
            jq.ui.hideMask();
            $.ui.unblockUI();
        },600);   
    }
});

//confirma atualização convidado
function funConvidadoAtualizou() {
    jq.ui.hideMask();
    if  (wDestino == 1) {
        $.ui.loadContent("#pagConvidados", true, true, "slide");
    } else {
        $.ui.loadContent("#pagRecepcionar", true, true, "slide");
    }
}

                                    
//mostra erro atualização banco
function funMostraErroUpdate(CErro) {
    alert("Erro na atualização: " + CErro.code);
}

//apagar o registro de convidado
$(document).on('click', '#botConvidadoApagar', function () {
    jq.ui.showMask("Apagando, aguarde...");
    wConvidadoCodigo = document.getElementById('camConvidadoCodigoAlt').value;
    SQL = 'delete from tConvidados where ConvidadosCodigo = ' + wConvidadoCodigo;
        //atualiza o registro
        db.transaction(function(tx) {
            tx.executeSql(SQL, []);
            jq.ui.hideMask();
            $.ui.loadContent("#pagConvidados", true, true, "slide");
        });
});

//Indica MENOS UM
function funRegistraMenosUm(CConvidado) {
    jq.ui.showMask("Atualizando, aguarde...");
    //prepara o registro
    SQL = 'update tConvidados set ConvidadosQtdeReal = ConvidadosQtdeReal - 1 where ConvidadosCodigo = ' + CConvidado;
    //atualiza o registro
    db.transaction(function(tx) {
        tx.executeSql(SQL);
    });
    funAtualizaContador(CConvidado);
    jq.ui.hideMask();
}

//indica MAIS UM 
function funRegistraMaisUm(CConvidado) {
    jq.ui.showMask("Atualizando, aguarde...");
    //prepara o registro
    SQL = 'update tConvidados set ConvidadosQtdeReal = ConvidadosQtdeReal + 1 where ConvidadosCodigo = ' + CConvidado;
    //atualiza o registro
    db.transaction(function(tx) {
        tx.executeSql(SQL);
    });
    funAtualizaContador(CConvidado);
    jq.ui.hideMask();
}

//atualiza o contador do visitante
function funAtualizaContador(CConvidado) {
    db.transaction(function(tx) {
    SQL = 'SELECT ConvidadosQtdeReal FROM tConvidados where ConvidadosCodigo = ' + CConvidado;
    tx.executeSql(SQL, [], function(tx, rs) {
        r = rs.rows.item(0);
        var wcontadorTotal = r.ConvidadosQtdeReal + 1;
        $('#spaContador_' + CConvidado).html(wcontadorTotal);
        if (wcontadorTotal === 0) {
            funDesmarcaPresenca(CConvidado);
            $('#spaContador_' + CConvidado).html("");
            
        }
    });
    });
}

//função para pesquisar nomes de convidados de um evento
$(document).on("click", "#butPesquisarConvidado", function () {
    if (!(wEventoCorrente)) {
        $.ui.loadContent("#pagPrincipal",true,true,"slide");
    }
    if (wEventoCorrente === 0) {
        $.ui.loadContent("#pagPrincipal",true,true,"slide");
    }
    var wPesquisarConvidado = document.getElementById('camPesquisarConvidado').value;
    //só executa se tem conteúdo o campo de pesquisa
    if (wPesquisarConvidado !== "") {
        jq.ui.showMask("Pesquisando, aguarde...");
        $('#divLimpar').css("display", "block");
        $('#divPesquisar').css("display", "none");
        document.getElementById('camPesquisarConvidado').value = "";
        //$('#pagPrincipal').css("opacity", "1");
        SQL = 'SELECT * FROM tConvidados where ConvidadosEvento = ' + wEventoCorrente + ' and ConvidadosNome like "%' + wPesquisarConvidado + '%" ORDER BY ConvidadosNome COLLATE NOCASE';
        db.transaction(function(tx) {
            tx.executeSql(SQL, [], montaListaConvidados);
        });
    }
});

//função para pesquisar nomes de convidados de um evento
$(document).on("click", "#butLimpar", function () {
    $('#divLimpar').css("display", "none");
    document.getElementById('camPesquisarConvidado').value = "";
    $('#divPesquisar').css("display", "block");
    funListaConvidados();
});

//repara o banco de dados
$(document).on('click', '#botDBReparo', function () {
    jq.ui.showMask("Reparando o banco de dados, aguarde...");
    SQL1 = 'repair table tEventos';
    SQL2 = 'repair table tConvidados';
    db.transaction(function(tx) {
        //tx.executeSql(SQL1);
        //tx.executeSql(SQL2);        
    });
    jq.ui.hideMask();
    $.ui.loadContent("#pagPrincipal", true, true,"slide");
});   

//função para processar o download dos convidados do servidor confirmaki.com.br
$(document).on("click", "#botEventoDownload", function () {
    if (checkConnection()) {
    jq.ui.showMask("Procurando o evento no servidor, aguarde...");
    var wpost = "e="+$.query('#camDownEventoCodigo').val()+"&c="+$.query('#camDownEventoControle').val()+"&s="+$.query('#camDownEventoSenha').val();
    $.post("http://www.confirmaki.com.br/Capp_Xapp_convidados.asp",wpost,function(retorno) {funAchouEvento(retorno)},'json');        
}});


function funAchouEvento(event)
{
    jq.ui.showMask("Evento localizado. Fazendo download das informações. Aguarde...");
    if(event.success===false)
        {
            obj = $.parseJSON(event);
            alert(obj[0].resultado);
        } else { 
            //obj = $.parseJSON(event);
            obj = event;
            if (obj[0] == 'E1' || obj[0] == 'E2') {
                jq.ui.showMask(obj[1]);
                jq.ui.blockUI(0.4);
                    setTimeout(function(){
                        jq.ui.hideMask();
                        $.ui.unblockUI();
                    },3000); 
                $.ui.loadContent("#pagDownload", true, true, "slide");
            } else {
                funPopulaConvidados(event);
            }
       }
}

function funPopulaConvidados(event)
{
    jq.ui.showMask("Tratando as informações recebidas, aguarde...");
    //obj = $.parseJSON(event);
    obj = event;
    //alert(obj[0].ConvidadoNome);
    
    var contador = 0;
    var SQL = new Array();
    $.each(obj, function(index, item) {
         jq.ui.showMask("Registro " + contador);
        if (item.ConvidadoNome !== null && item.ConvidadoNome !== undefined) {
            contador++;
            if (item.ConvidadoObs !== null) {
                wObs = item.ConvidadoObs;
            } else {
                wObs = "";
            }
            if (item.ConvidadoEmail !== null) {
                wEmail = item.ConvidadoEmail;
            } else {
                wEmail = "";
            }
            SQL[contador] = '(' + wEventoCorrente + ', "' + item.ConvidadoNome + '", "' + item.ConvidadoQtde + '", "' + wEmail + '", "' + wObs + '")';    
        }
     });
    //gravando todos os registros
    db.transaction(function(tx) {
        for (var i=1; i<=SQL.length; i++) {
            if (SQL[i] !== undefined) {
                SQLunitario = 'insert into tConvidados (ConvidadosEvento, ConvidadosNome, ConvidadosQtde, ConvidadosEmail, ConvidadosObs) values ' + SQL[i];       
                tx.executeSql(SQLunitario);
            }
    }});
    jq.ui.showMask("Registros gravados");
    jq.ui.hideMask();
    $.ui.loadContent("#pagConvidados", true, true, "slide");
}

function funNaoAcessouSite() {
    jq.ui.showMask("Desculpe. Problema no acesso ao provedor!");
    jq.ui.blockUI(0.4);
        setTimeout(function(){
            jq.ui.hideMask();
            $.ui.unblockUI();
        },900); 
    $.ui.loadContent("#pagEvento", true, true, "slide");
}


function ShowLocalDate() {
    var dNow = new Date();
    var localdate= (dNow.getDate() + '/' + dNow.getMonth() + '/' + dNow.getFullYear() + ' ' + dNow.getHours() + ':' + dNow.getMinutes());
    return localdate;
}

function funMostraDataHora(cConteudo) {
    var dNow = new Date(cConteudo);
    var localdate= (dNow.getDate() + '/' + dNow.getMonth() + '/' + dNow.getFullYear() + ' ' + dNow.getHours() + ':' + dNow.getMinutes());
    return localdate;
}

$(document).on("click", "[id^=imgCheckVerde_]", function (evento) { //pega clique em id iniciando com iCVd...para registrar a presença
    //alert(evento.target.id);
    var res = evento.target.id.replace("imgCheckVerde_", "");
    //alert(res);
    funRegistraPresenca(res);
});

$(document).on("click", "[id^=imgMenos1_]", function (evento) { //pega clique em id iniciando com iMe1_...para diminuir 1 acompanhamente
    //alert(evento.target.id);
    var res = evento.target.id.replace("imgMenos1_", "");
    //alert(res);
    funRegistraMenosUm(res);
});

$(document).on("click", "[id^=imgMais1_]", function (evento) { //pega clique em id iniciando com iMa1_...para aumentar 1 acompanhamente
    //alert(evento.target.id);
    var res = evento.target.id.replace("imgMais1_", "");
    //alert(res);
    funRegistraMaisUm(res);
});

$(document).on("click", "[id^=imgXVermelho_]", function (evento) { //pega clique em id iniciando com iCVd...para desmarcar a presença
    //alert(evento.target.id);
    var res = evento.target.id.replace("imgXVermelho_", "");
    //alert(res);
    funDesmarcaPresenca(res);
});

$(document).on("click", "#spaLinkSiteApp", function () {
    funAbreURL("http://www.confirmaki.com.br/app/");
});

$(document).on("click", "#spaLinkSite", function () {
    funAbreURL("http://www.confirmaki.com.br/");
});

$(document).on("click", "#spaLinkHTS", function () {
    funAbreURL("http://www.hts-net.com.br/");
});

$(document).on("click", "#spaEmail", function () {
    funAbreURL("mailto:contato@confirmaki.com.br?subject=Sobre o APP");
});

$(document).on("click", ".claEventoNome", function () {
    funTrataEvento(wEventoCorrente);
});

$(document).on("click", "[id^=camRecepcaoNome_]", function (event) {
    var val = event.target.id;
    var myString = val.substr(val.indexOf("_") + 1);
    //alert(myString);
    funTrataConvidado(myString, 2);
});

//coloca o foco no campo nome ao carregar a página de manutenção de convidado
$(document).on("loadpanel", "#pagDigitar", function () {
    $('#camConvidadoNome').focus();
});

$(document).on("click", "#spaLinkPRO", function () {
    funAbreURL("https://play.google.com/store/apps/details?id=com.hamiltonhtsnet.com.br.confirmakiPro");
});

$(document).on("click", "#spaLinkEmp", function () {
    funAbreURL("https://play.google.com/store/apps/details?id=com.hamiltonhtsnet.com.br.confirmakiEmpresarial");
});
