//scripst genéricos, servem para qualquer app da HTS


// created by Max Aller <nanodeath@gmail.com>
function Migrator(db){
  var migrations = [];
  this.migration = function(number, func){
    migrations[number] = func;
  };
  var doMigration = function(number){
    if(migrations[number]){
      db.changeVersion(db.version, String(number), function(t){
        migrations[number](t);
      }, function(err){
        if(console.error) console.error("Error!: %o", err);
      }, function(){
        doMigration(number+1);
      });
    }
  };
  this.doIt = function(){
    var initialVersion = parseInt(db.version) || 0;
    try {
      doMigration(initialVersion+1);
    } catch(e) {
      if(console.error) console.error(e);
    }
  }
}


function funAbreURL(cURL) {
    //intel.xdk.device.launchExternal(cURL);
    navigator.app.loadUrl(cURL, { openExternal:true });
}

function checkConnection() {
    var estadoInternet = navigator.connection.type;
    if (estadoInternet == "none" || estadoInternet == "unknown") {
        navigator.notification.beep(2);
        jq.ui.showMask("Para executar esta função é preciso ter conexão com a internet.");
        jq.ui.blockUI(0.4);
            setTimeout(function(){
           jq.ui.hideMask();
           $.ui.unblockUI();
            },2000);
        return false;
    }  else  { 
        return true;
    }
}


//ativar em caso de necessidade de entender algum erro
window.onerror = function (errorMsg, url, lineNumber, column, errorObj) {
    //não mostrar , remover // para mostrar
    alert('Error: ' + errorMsg + ' Script: ' + url + ' Line: ' + lineNumber + ' Column: ' + column + ' StackTrace: ' +  errorObj);
}